# Post consumer aws settings

This will set your consumer's awssettings. 

Note: "RoleARN" and "ExternalID" cannot be changed

Endpoint: POST /consumers/{name}/awssettings
Version: 2.0

## Path parameters:

  - `name` (string, required)
    _

## Request body:

  - `application/json` (unknown)
    RoleARN = The Amazon Resource Name (ARN) of the role that the caller is assuming
External ID = A unique identifier that is used by third parties to assume a role in their customers' accounts. For each role that the third party can assume, they should instruct their customers to create a role with the external ID that the third party generated. Each time the third party assumes the role, they must pass the customer's external ID. The external ID is useful in order to help third parties bind a role to the customer who created it.
ASE256ServerSideEncryption = Is Amazon S3 256-bit Advanced Encryption Standard used? (true or false)

## Response 200:

  - `200` (unknown)
    There is no response beyond the 200 OK acknowledgment

## Response 200 examples:

  - `response` (unknown)

